From ac7472c5dd048781f1625d960181525d9e9636f2 Mon Sep 17 00:00:00 2001
From: SilvanScherrer <silvan.scherrer@aroa.ch>
Date: Wed, 10 Mar 2021 11:47:03 +0100
Subject: [PATCH 2/6] fix a imho upstream bug

---
 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/configure.ac b/configure.ac
index e72aca604..1351cf7c4 100755
--- a/configure.ac
+++ b/configure.ac
@@ -4597,7 +4597,7 @@ if test "$want_pthreads" != "no"; then
       then
         CFLAGS="$CFLAGS -pthread"
         # assign PTHREAD for pkg-config use
-        PTHREAD=" -pthread"
+        PTHREAD=" -lpthread"
         AC_CHECK_LIB(pthread, pthread_create,
                      [USE_THREADS_POSIX=1],
                      [ CFLAGS="$save_CFLAGS"])
-- 
2.30.2

